# Setting up Webhooks

With Mobile Text Alerts webhooks you can receive real time notifications of events, such as: sent messages, message replies, and delivery statuses. With the Mobile Text Alerts [Webhooks API endpoints](/api-reference/webhooks.md) you can register, delete, and view the webhooks on your account.&#x20;

## Webhooks Overview

Webhooks are a way for applications to communicate with each other, with real-time data sent from one application to another whenever a given event occurs. For events you want to be notified of, you can configure a webhook to your specified URL.

{% hint style="warning" %}
Mobile Text Alerts does not enforce verification of your endpoint listener — it sends the `X-Signature` header on every request, but your endpoint can respond `200` without checking it. This makes client-side enforcement a developer responsibility. See [Webhook Signature Verification](/tutorials/webhooks/webhook-signature-verification.md) to learn more.
{% endhint %}

For example, when a user replies to a message that was sent; Mobile Text Alerts receives the inbound message from a provider and will post the inbound message to your provided endpoint.

## Event Types

The Mobile Text Alerts API supports the following event types for webhooks:

### Message Reply <mark style="color:blue;">`message-reply`</mark>

When Mobile Text Alerts receives an inbound message from a provider, Mobile Text Alerts will post the inbound message to the customer provided endpoint.

* [Message Reply payload](/tutorials/webhooks.md#message-reply)

### Delivery Status <mark style="color:blue;">`delivery-status`</mark>

When Mobile Text Alerts receives an updated delivery status from a provider regarding a customer's sent message.

* [Delivery Status payload](/tutorials/webhooks.md#delivery-status)

### Message Send <mark style="color:blue;">`message-send`</mark>

When Mobile Text Alerts sends a message to a provider, Mobile Text Alerts will post the message to the customer-provided endpoint.

* [Message Send payload](/tutorials/webhooks.md#message-send)

### Number Opt-In <mark style="color:blue;">`number-opt-in`</mark>

You must receive an inbound opt-in message before you send outbound [iMessages](/messaging-routes/imessage.md) and [RCS messages](/messaging-routes/rcs-rbm.md). This webhook will post the opt-in event to the customer provided endpoint.

* &#x20;[Number Opt-In payload](/tutorials/webhooks.md#number-opt-in)

## Webhook Failure Email Alerts

When registering a webhook, you can choose to receive emails if Mobile Text Alerts fails to send a request to your configured URL or a non-<mark style="color:green;">`200`</mark> response code was received. To receive these email alerts: when registering a webhook, set `sendAlertEmail` to `true` , with `alertEmail` set to the intended email address.

## Next Steps: Create your first webhook

Visit [Setting up your first webhook](/tutorials/webhooks/setting-up-your-first-webhook.md) to learn how to set up your first webhook

To learn more about Mobile Text Alerts webhooks, check out these other resources below:

<table data-view="cards"><thead><tr><th></th><th data-type="content-ref"></th></tr></thead><tbody><tr><td>View the webhook event payloads for Mobile Text Alerts:</td><td><a href="/pages/haN1dBJk3ZMcTJDCyH96">/pages/haN1dBJk3ZMcTJDCyH96</a></td></tr><tr><td>Learn how to configure verification for your webhook listener endpoint:</td><td><a href="/pages/KboLZGnRzCn47S0xuOAF">/pages/KboLZGnRzCn47S0xuOAF</a></td></tr><tr><td>View the Webhooks API Reference:</td><td><a href="/pages/uWxEX5m9f4m2HKQjSQvr">/pages/uWxEX5m9f4m2HKQjSQvr</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mobile-text-alerts.com/getting-started/setting-up-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
